// (c) MIT 2003.  All rights reserved.

// -*-Mode: JDE-*- 
// $Id: FactBrowserPane.java,v 1.4 2003/03/06 00:40:49 moltmans Exp $
// FactBrowserPane.java -- 
// Author: Michael Oltmans <moltmans@ai.mit.edu> 
// Created: <Mon Jun 12 14:42:47 2000> 
// Time-stamp: <2000-07-17 21:38:16 moltmans> 
package rec.annotate.gui;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

import rec.annotate.rules.*;
import rec.tms.gui.*;

public class FactBrowserPane extends JPanel
{
  private FactBrowser m_browser;
  
  public FactBrowserPane( Notebook book )
  {
    m_browser = new FactBrowser( book.getJTRE() );
    setLayout( new BorderLayout() );
    add( m_browser, BorderLayout.CENTER );
  }

  public void updateNotes() 
  {
    m_browser.update();
  }
}

